Index: /code/branches/cpp11_v2/src/modules/tetris/TetrisCenterpoint.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/tetris/TetrisCenterpoint.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/tetris/TetrisCenterpoint.cc	(revision 10765)
@@ -84,5 +84,5 @@
     void TetrisCenterpoint::checkGametype()
     {
-        if (this->getGametype() != NULL && this->getGametype()->isA(Class(Tetris)))
+        if (this->getGametype() != nullptr && this->getGametype()->isA(Class(Tetris)))
         {
             Tetris* tetrisGametype = orxonox_cast<Tetris*>(this->getGametype());
Index: /code/branches/cpp11_v2/src/modules/tetris/TetrisScore.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/tetris/TetrisScore.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/tetris/TetrisScore.cc	(revision 10765)
@@ -57,5 +57,5 @@
 
         this->owner_ = 0;
-        this->player_ = NULL;
+        this->player_ = nullptr;
     }
 
@@ -89,5 +89,5 @@
 
         // If the owner is set. The owner being a Tetris game.
-        if (this->owner_ != NULL)
+        if (this->owner_ != nullptr)
         {
             std::string score("0");
@@ -101,5 +101,5 @@
             {
                 // Save the name and score of each player as a string.
-                if (player_ != NULL)
+                if (player_ != nullptr)
                     score = multi_cast<std::string>(this->owner_->getScore(player_));
             }
@@ -111,5 +111,5 @@
     @brief
         Is called when the owner changes.
-        Sets the owner to NULL, if it is not a pointer to a Tetris game.
+        Sets the owner to nullptr, if it is not a pointer to a Tetris game.
     */
     void TetrisScore::changedOwner()
@@ -117,5 +117,5 @@
         SUPER(TetrisScore, changedOwner);
 
-        if (this->getOwner() != NULL && this->getOwner()->getGametype())
+        if (this->getOwner() != nullptr && this->getOwner()->getGametype())
             this->owner_ = orxonox_cast<Tetris*>(this->getOwner()->getGametype());
         else
Index: /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefense.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefense.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefense.cc	(revision 10765)
@@ -90,6 +90,6 @@
         RegisterObject(TowerDefense);
 
-        selecter = NULL;
-        this->player_ = NULL;        
+        selecter = nullptr;
+        this->player_ = nullptr;
         this->setHUDTemplate("TowerDefenseHUD");
         this->waveNumber_ = 0;
@@ -117,7 +117,7 @@
     void TowerDefense::start()
     {        
-        if (center_ != NULL) // There needs to be a TowerDefenseCenterpoint, i.e. the area the game takes place.
-        {
-            if (selecter == NULL)
+        if (center_ != nullptr) // There needs to be a TowerDefenseCenterpoint, i.e. the area the game takes place.
+        {
+            if (selecter == nullptr)
             {
                 selecter = new TowerDefenseSelecter(this->center_->getContext());                
@@ -176,5 +176,5 @@
         WaypointController* controller = (WaypointController*)(en1->getXMLController());
 
-        if (controller != NULL && waypoints_.size() > 1)
+        if (controller != nullptr && waypoints_.size() > 1)
         {
             en1->setPosition(waypoints_.at(0)->getPosition() + offset_);
@@ -208,5 +208,5 @@
         player_ = player;
 
-        if (selecter->getPlayer() == NULL)
+        if (selecter->getPlayer() == nullptr)
         {
             player_->startControl(selecter);
@@ -219,5 +219,5 @@
         Get the player.
     @return
-        Returns a pointer to the player. If there is no player, NULL is returned.
+        Returns a pointer to the player. If there is no player, nullptr is returned.
     */
     PlayerInfo* TowerDefense::getPlayer(void) const
@@ -265,5 +265,5 @@
         SUPER(TowerDefense, tick, dt);
 
-        if (hasStarted() == false || player_ == NULL)
+        if (hasStarted() == false || player_ == nullptr)
         {
             return;
@@ -273,5 +273,5 @@
 
         //build/upgrade tower at selecter position
-        if (selecter != NULL && selecter->buildTower_ == true)
+        if (selecter != nullptr && selecter->buildTower_ == true)
         {
             selecter->buildTower_ = false;
@@ -289,5 +289,5 @@
         for (std::list<WeakPtr<TowerDefenseEnemy> >::iterator it = enemies_.begin(); it != enemies_.end(); )
         {
-            if (*it == NULL)
+            if (*it == nullptr)
             {
                 // the enemy was destroyed by a tower - remove it from the list
@@ -365,5 +365,5 @@
         TDCoordinate* thisCoord = &startCoord;
         TDCoordinate* nextCoord;
-        while ((nextCoord = getNextStreetCoord(thisCoord)) != NULL)
+        while ((nextCoord = getNextStreetCoord(thisCoord)) != nullptr)
         {
             waypoints_.push_back(fields_[nextCoord->GetX()][nextCoord->GetY()]);            
@@ -381,5 +381,5 @@
         if (thisField->getType() != STREET && thisField->getType() != START)
         {
-            return NULL;
+            return nullptr;
         }
 
@@ -406,5 +406,5 @@
         }
 
-        return NULL;
+        return nullptr;
     }
 }
Index: /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseCenterpoint.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseCenterpoint.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseCenterpoint.cc	(revision 10765)
@@ -92,5 +92,5 @@
     void TowerDefenseCenterpoint::checkGametype()
     {
-        if (this->getGametype() != NULL && this->getGametype()->isA(Class(TowerDefense)))
+        if (this->getGametype() != nullptr && this->getGametype()->isA(Class(TowerDefense)))
         {
             // Sets the centerpoint of the gametype. The gametype uses this to later spawn in towers, he needs the tower template stored in the center point
Index: /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseEnemy.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseEnemy.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseEnemy.cc	(revision 10765)
@@ -47,5 +47,5 @@
     WeakPtr<TowerDefense> TowerDefenseEnemy::getGame()
     {
-        if (game == NULL)
+        if (game == nullptr)
         {
             for (ObjectList<TowerDefense>::iterator it = ObjectList<TowerDefense>::begin(); it != ObjectList<TowerDefense>::end(); ++it)
Index: /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseField.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseField.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseField.cc	(revision 10765)
@@ -49,7 +49,7 @@
         RegisterObject(TowerDefenseField);
 
-        tower_ = NULL;
+        tower_ = nullptr;
         type_ = FREE;
-        center_ = NULL;
+        center_ = nullptr;
         upgrade_ = 0;
         setPosition(0,0,0);                            
@@ -119,5 +119,5 @@
     bool TowerDefenseField::canUpgrade()
     {
-        if (tower_ != NULL && upgrade_ < 5)
+        if (tower_ != nullptr && upgrade_ < 5)
         {
             return true;
@@ -129,5 +129,5 @@
     void TowerDefenseField::setAngle(int newAngle)
     {
-        if (modelGround_ != NULL)
+        if (modelGround_ != nullptr)
         {
             switch (newAngle)
@@ -152,5 +152,5 @@
         }
 
-        if (modelObject_ != NULL)
+        if (modelObject_ != nullptr)
         {
             switch (newAngle)
@@ -185,5 +185,5 @@
     {            
         modelGround_->setMeshSource("TD_F1.mesh");
-        tower_ = NULL;
+        tower_ = nullptr;
         type_ = FREE;
         setUpgrade(0);
@@ -194,5 +194,5 @@
     {      
         modelGround_->setMeshSource("TD_S5.mesh");
-        tower_ = NULL;
+        tower_ = nullptr;
         type_ = START;
         setUpgrade(0);
@@ -204,5 +204,5 @@
     {     
         modelGround_->setMeshSource("TD_S4.mesh");
-        tower_ = NULL;
+        tower_ = nullptr;
         type_ = END;
         setUpgrade(0);
@@ -213,5 +213,5 @@
     {      
         modelGround_->setMeshSource("TD_S1.mesh");
-        tower_ = NULL;
+        tower_ = nullptr;
         type_ = STREET;
         setUpgrade(0);
@@ -222,5 +222,5 @@
     {     
         modelGround_->setMeshSource("TD_S2.mesh");
-        tower_ = NULL;
+        tower_ = nullptr;
         type_ = STREET;
         setUpgrade(0);
@@ -231,5 +231,5 @@
     {    
         modelGround_->setMeshSource("TD_S3.mesh");
-        tower_ = NULL;
+        tower_ = nullptr;
         type_ = STREET;
         setUpgrade(0);
@@ -241,5 +241,5 @@
         modelGround_->setMeshSource("TD_F1.mesh");
         modelObject_->setMeshSource("TD_O1.mesh");
-        tower_ = NULL;
+        tower_ = nullptr;
         type_ = OBSTACLE;
         setUpgrade(0);
@@ -249,5 +249,5 @@
     void TowerDefenseField::createTower(int upgrade)
     {        
-        if (tower_ == NULL)
+        if (tower_ == nullptr)
         {
             modelGround_->setMeshSource("TD_F1.mesh");
@@ -256,5 +256,5 @@
             type_ = TOWER;
             setUpgrade(upgrade);
-            if (upgrade_ > 0 && modelObject_ != NULL)
+            if (upgrade_ > 0 && modelObject_ != nullptr)
             {
                 switch (upgrade_)
@@ -287,8 +287,8 @@
     void TowerDefenseField::destroyTower()
     {
-        if (tower_ != NULL)
+        if (tower_ != nullptr)
         {
             tower_->destroy();
-            tower_ = NULL;
+            tower_ = nullptr;
         }
     }
Index: /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseTower.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseTower.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseTower.cc	(revision 10765)
@@ -25,5 +25,5 @@
     {
         RegisterObject(TowerDefenseTower);
-        game_ =NULL;
+        game_ =nullptr;
         this->setCollisionType(WorldEntity::None);
         upgrade = 1;
Index: /code/branches/cpp11_v2/src/modules/weapons/IceGunFreezer.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/IceGunFreezer.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/weapons/IceGunFreezer.cc	(revision 10765)
@@ -101,5 +101,5 @@
 
         // Check if the freezer is attached to a parent and check if the parent is a SpaceShip
-        if (parent != NULL && parent->isA(Class(SpaceShip)))
+        if (parent != nullptr && parent->isA(Class(SpaceShip)))
         {
             freezedSpaceShip_ = orxonox_cast<SpaceShip*>(parent);
@@ -118,5 +118,5 @@
     void IceGunFreezer::stopFreezing()
     {
-        if (freezedSpaceShip_ != NULL && freezeFactor_ != 0.0)
+        if (freezedSpaceShip_ != nullptr && freezeFactor_ != 0.0)
         {
             freezedSpaceShip_->addSpeedFactor(1/freezeFactor_);
Index: /code/branches/cpp11_v2/src/modules/weapons/projectiles/BasicProjectile.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 10765)
@@ -88,5 +88,5 @@
                                     // The projectile is destroyed by its tick()-function (in the following tick).
 
-            Pawn* victim = orxonox_cast<Pawn*>(otherObject); // If otherObject isn't a Pawn, then victim is NULL
+            Pawn* victim = orxonox_cast<Pawn*>(otherObject); // If otherObject isn't a Pawn, then victim is nullptr
 
             WorldEntity* entity = orxonox_cast<WorldEntity*>(this);
@@ -146,8 +146,8 @@
     bool BasicProjectile::isObjectRelatedToShooter(WorldEntity* otherObject)
     {
-        for (WorldEntity* shooter = this->getShooter(); shooter != NULL; shooter = shooter->getParent())
+        for (WorldEntity* shooter = this->getShooter(); shooter != nullptr; shooter = shooter->getParent())
             if (otherObject == shooter)
                 return true;
-        for (WorldEntity* object = otherObject; object != NULL; object = object->getParent())
+        for (WorldEntity* object = otherObject; object != nullptr; object = object->getParent())
             if (otherObject == this->getShooter())
                 return true;
Index: /code/branches/cpp11_v2/src/modules/weapons/projectiles/GravityBombField.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/projectiles/GravityBombField.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/weapons/projectiles/GravityBombField.cc	(revision 10765)
@@ -137,5 +137,5 @@
                         float damage = FORCE_FIELD_EXPLOSION_DAMMAGE*(1-distanceVector.length()/EXPLOSION_RADIUS);
                         //orxout(debug_output) << "Damage: " << damage << endl;
-                        it->hit(shooter_, it->getWorldPosition(), NULL, damage, 0,0);
+                        it->hit(shooter_, it->getWorldPosition(), nullptr, damage, 0,0);
                         victimsAlreadyDamaged_.push_back(*it);
                     }
Index: /code/branches/cpp11_v2/src/modules/weapons/projectiles/Projectile.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/projectiles/Projectile.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/weapons/projectiles/Projectile.cc	(revision 10765)
@@ -94,5 +94,5 @@
     void Projectile::setCollisionShapeRadius(float radius)
     {
-        if (collisionShape_ != NULL && radius > 0)
+        if (collisionShape_ != nullptr && radius > 0)
         {
             collisionShape_->setRadius(radius);
Index: /code/branches/cpp11_v2/src/orxonox/CameraManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/CameraManager.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/orxonox/CameraManager.cc	(revision 10765)
@@ -93,5 +93,5 @@
                 this->cameraList_.front()->setFocus();
             else
-                this->useCamera(NULL);
+                this->useCamera(nullptr);
         }
         else
Index: /code/branches/cpp11_v2/src/orxonox/LevelManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/LevelManager.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/orxonox/LevelManager.cc	(revision 10765)
@@ -154,5 +154,5 @@
         Get the currently active Level.
     @return
-        Returns a pointer to the currently active level or NULL if there currently are no active Levels.
+        Returns a pointer to the currently active level or nullptr if there currently are no active Levels.
     */
     Level* LevelManager::getActiveLevel()
@@ -218,5 +218,5 @@
     {
         if(index >= this->availableLevels_.size())
-            return NULL;
+            return nullptr;
 
         // If this index directly follows the last we can optimize a lot.
@@ -272,5 +272,5 @@
             if (it->find("old/") != 0)
             {
-                LevelInfoItem* info = NULL;
+                LevelInfoItem* info = nullptr;
 
                 // Load the LevelInfo object from the level file.
@@ -286,5 +286,5 @@
                 Loader::getInstance().unload(&file);
 
-                if(info == NULL)
+                if(info == nullptr)
                 {
                     // Create a default LevelInfoItem object that merely contains the name
Index: /code/branches/cpp11_v2/src/orxonox/Scene.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/Scene.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/orxonox/Scene.cc	(revision 10765)
@@ -66,5 +66,5 @@
         this->bShadows_ = true;
         this->bDebugDrawPhysics_ = false;
-        this->debugDrawer_ = NULL;
+        this->debugDrawer_ = nullptr;
         this->soundReferenceDistance_ = 20.0;
         this->bIsUpdatingPhysics_ = false;
Index: /code/branches/cpp11_v2/src/orxonox/chat/ChatInputHandler.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/chat/ChatInputHandler.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/orxonox/chat/ChatInputHandler.cc	(revision 10765)
@@ -79,5 +79,5 @@
     this->inpbuf = new InputBuffer();
     this->disp_offset = 0;
-    assert( this->inpbuf != NULL );
+    assert( this->inpbuf != nullptr );
 
     /* generate chatbox ui and chatbox-inputonly ui */
Index: /code/branches/cpp11_v2/src/orxonox/collisionshapes/CollisionShape.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/collisionshapes/CollisionShape.h	(revision 10764)
+++ /code/branches/cpp11_v2/src/orxonox/collisionshapes/CollisionShape.h	(revision 10765)
@@ -181,5 +181,5 @@
 
             btCollisionShape*       collisionShape_; //!< The bullet collision shape of this CollisionShape.
-            CompoundCollisionShape* parent_; //!< The CompoundCollisionShape this CollisionShape belongs to, NULL if it doesn't belong to one.
+            CompoundCollisionShape* parent_; //!< The CompoundCollisionShape this CollisionShape belongs to, nullptr if it doesn't belong to one.
             unsigned int            parentID_; //!< The objectID of the parent of this CollisionShape, which can either be a CompoundCollisionShape or a WorldEntity.
 
Index: /code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.cc	(revision 10765)
@@ -72,10 +72,10 @@
                 it->first->destroy();
                 if (this->collisionShape_ == it->second)
-                    this->collisionShape_ = NULL; // don't destroy it twice
+                    this->collisionShape_ = nullptr; // don't destroy it twice
             }
 
             delete this->compoundShape_;
             if (this->collisionShape_ == this->compoundShape_)
-                this->collisionShape_ = NULL; // don't destroy it twice
+                this->collisionShape_ = nullptr; // don't destroy it twice
         }
     }
@@ -96,5 +96,5 @@
     void CompoundCollisionShape::attach(CollisionShape* shape)
     {
-        // If either the input shape is NULL or we try to attach the CollisionShape to itself.
+        // If either the input shape is nullptr or we try to attach the CollisionShape to itself.
         if (!shape || static_cast<CollisionShape*>(this) == shape)
             return;
Index: /code/branches/cpp11_v2/src/orxonox/collisionshapes/WorldEntityCollisionShape.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/collisionshapes/WorldEntityCollisionShape.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/orxonox/collisionshapes/WorldEntityCollisionShape.cc	(revision 10765)
@@ -43,5 +43,5 @@
         RegisterObject(WorldEntityCollisionShape);
 
-        this->worldEntityOwner_ = NULL;
+        this->worldEntityOwner_ = nullptr;
         // suppress synchronisation
         this->setSyncMode(ObjectDirection::None);
Index: /code/branches/cpp11_v2/src/orxonox/controllers/AIController.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/controllers/AIController.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/orxonox/controllers/AIController.cc	(revision 10765)
@@ -249,5 +249,5 @@
             }
             else
-                this->setPreviousMode();//If bot dies -> getControllableEntity == NULL -> get out of ROCKET mode
+                this->setPreviousMode();//If bot dies -> getControllableEntity == nullptr -> get out of ROCKET mode
         }//END_OF ROCKET MODE
 
Index: /code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.cc	(revision 10765)
@@ -56,5 +56,5 @@
         this->currentWaypoint_ = 0;
         this->setAccuracy(5);
-        this->defaultWaypoint_ = NULL;
+        this->defaultWaypoint_ = nullptr;
         this->mode_ = DEFAULT;//Vector-implementation: mode_.push_back(DEFAULT);
     }
@@ -222,5 +222,5 @@
     {
         SpaceShip* ship = orxonox_cast<SpaceShip*>(this->getControllableEntity());
-        if(ship == NULL) return;
+        if(ship == nullptr) return;
         if(ship->getBoostPower()*1.5f > ship->getInitialBoostPower() ) //upper limit ->boost
             this->getControllableEntity()->boost(true);
@@ -258,5 +258,5 @@
     void ArtificialController::updatePointsOfInterest(std::string name, float searchDistance)
     {
-        WorldEntity* waypoint = NULL;
+        WorldEntity* waypoint = nullptr;
         for (WorldEntity* we : ObjectList<WorldEntity>())
         {
Index: /code/branches/cpp11_v2/src/orxonox/controllers/ControllerDirector.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/controllers/ControllerDirector.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/orxonox/controllers/ControllerDirector.cc	(revision 10765)
@@ -32,7 +32,7 @@
 
         // Initialize member variables
-        this->player_ = NULL;
-        this->entity_ = NULL;
-        this->pTrigger_ = NULL;
+        this->player_ = nullptr;
+        this->entity_ = nullptr;
+        this->pTrigger_ = nullptr;
         this->context_ = context;
     }
@@ -110,10 +110,10 @@
     {
         this->pTrigger_ = orxonox_cast<PlayerTrigger*>(trigger);
-        this->player_ = NULL;
+        this->player_ = nullptr;
 
         orxout(verbose) << "Preparation to take Control!" << endl; 
 
         // Check whether it is a player trigger and extract pawn from it
-        if(this->pTrigger_ != NULL)
+        if(this->pTrigger_ != nullptr)
         {
             // Get the object which triggered the event.
@@ -121,5 +121,5 @@
 
             // Check if there actually was a player returned.
-            if( this->player_ == NULL) return false;
+            if( this->player_ == nullptr) return false;
         }
         else
Index: /code/branches/cpp11_v2/src/orxonox/controllers/FormationController.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/controllers/FormationController.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/orxonox/controllers/FormationController.cc	(revision 10765)
@@ -773,6 +773,6 @@
     {
 
-        Pawn *humanPawn = NULL;
-        NewHumanController *currentHumanController = NULL;
+        Pawn *humanPawn = nullptr;
+        NewHumanController *currentHumanController = nullptr;
         std::vector<FormationController*> allMasters;
 
@@ -800,5 +800,5 @@
         }
 
-        if((humanPawn != NULL) && (allMasters.size() != 0))
+        if((humanPawn != nullptr) && (allMasters.size() != 0))
         {
             float posHuman = humanPawn->getPosition().length();
@@ -826,5 +826,5 @@
     void FormationController::followInit(Pawn* pawn, const bool always, const int secondsToFollow)
     {
-        if (pawn == NULL || this->state_ != MASTER)
+        if (pawn == nullptr || this->state_ != MASTER)
             return;
         this->specificMasterAction_  =  FOLLOW;
@@ -844,6 +844,6 @@
     {
 
-        Pawn *humanPawn = NULL;
-        NewHumanController *currentHumanController = NULL;
+        Pawn *humanPawn = nullptr;
+        NewHumanController *currentHumanController = nullptr;
 
         for (ObjectList<Pawn>::iterator it = ObjectList<Pawn>::begin(); it; ++it)
@@ -861,5 +861,5 @@
         }
 
-        if((humanPawn != NULL))
+        if((humanPawn != nullptr))
                 this->followInit(humanPawn);
     }
Index: /code/branches/cpp11_v2/src/orxonox/controllers/HumanController.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/controllers/HumanController.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/orxonox/controllers/HumanController.cc	(revision 10765)
@@ -321,5 +321,5 @@
             return orxonox_cast<Pawn*>(HumanController::localController_s->getControllableEntity());
         else
-            return NULL;
+            return nullptr;
     }
 
Index: /code/branches/cpp11_v2/src/orxonox/controllers/NewHumanController.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/controllers/NewHumanController.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/orxonox/controllers/NewHumanController.cc	(revision 10765)
@@ -62,18 +62,18 @@
     NewHumanController::NewHumanController(Context* context)
         : HumanController(context)
-        , crossHairOverlay_(NULL)
-        , centerOverlay_(NULL)
-        , damageOverlayTop_(NULL)
-        , damageOverlayRight_(NULL)
-        , damageOverlayBottom_(NULL)
-        , damageOverlayLeft_(NULL)
+        , crossHairOverlay_(nullptr)
+        , centerOverlay_(nullptr)
+        , damageOverlayTop_(nullptr)
+        , damageOverlayRight_(nullptr)
+        , damageOverlayBottom_(nullptr)
+        , damageOverlayLeft_(nullptr)
         , damageOverlayTT_(0)
         , damageOverlayTR_(0)
         , damageOverlayTB_(0)
         , damageOverlayTL_(0)
-        , arrowsOverlay1_(NULL)
-        , arrowsOverlay2_(NULL)
-        , arrowsOverlay3_(NULL)
-        , arrowsOverlay4_(NULL)
+        , arrowsOverlay1_(nullptr)
+        , arrowsOverlay2_(nullptr)
+        , arrowsOverlay3_(nullptr)
+        , arrowsOverlay4_(nullptr)
     {
         RegisterObject(NewHumanController);
Index: /code/branches/cpp11_v2/src/orxonox/controllers/ScriptController.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/controllers/ScriptController.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/orxonox/controllers/ScriptController.cc	(revision 10765)
@@ -64,6 +64,6 @@
         /* Set default values for all variables */
         /* - pointers to zero */
-        this->player_ = NULL;
-        this->entity_ = NULL;
+        this->player_ = nullptr;
+        this->entity_ = nullptr;
 
         /* - times */
@@ -138,5 +138,5 @@
       
       }
-      return NULL;
+      return nullptr;
     }
 
Index: /code/branches/cpp11_v2/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gamestates/GSLevel.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/orxonox/gamestates/GSLevel.cc	(revision 10765)
@@ -156,5 +156,5 @@
         {
             ModifyConsoleCommand(__CC_changeGame_name).deactivate();
-            ModifyConsoleCommand(__CC_reloadLevel_name).setObject(NULL).deactivate();
+            ModifyConsoleCommand(__CC_reloadLevel_name).setObject(nullptr).deactivate();
         }
     }
Index: /code/branches/cpp11_v2/src/orxonox/gamestates/GSLevelMemento.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gamestates/GSLevelMemento.h	(revision 10764)
+++ /code/branches/cpp11_v2/src/orxonox/gamestates/GSLevelMemento.h	(revision 10765)
@@ -48,5 +48,5 @@
         protected:
             /**
-             * Returns the state of this memento. Returns NULL if no state needed to persist.
+             * Returns the state of this memento. Returns nullptr if no state needed to persist.
              */
             virtual GSLevelMementoState* exportMementoState() = 0;
Index: /code/branches/cpp11_v2/src/orxonox/gamestates/GSMainMenu.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gamestates/GSMainMenu.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/orxonox/gamestates/GSMainMenu.cc	(revision 10765)
@@ -73,5 +73,5 @@
 
         // create an empty Scene
-        this->scene_ = new Scene(NULL);
+        this->scene_ = new Scene(nullptr);
         this->scene_->setSyncMode( 0x0 );
         // and a Camera
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.cc	(revision 10765)
@@ -92,6 +92,6 @@
                 this->gtinfo_->destroy();
 
-            ModifyConsoleCommand(__CC_addBots_name).setObject(NULL);
-            ModifyConsoleCommand(__CC_killBots_name).setObject(NULL);
+            ModifyConsoleCommand(__CC_addBots_name).setObject(nullptr);
+            ModifyConsoleCommand(__CC_killBots_name).setObject(nullptr);
         }
     }
@@ -337,5 +337,5 @@
         {
             // Fallback spawn point if there is no active one, choose a random one.
-            SpawnPoint* fallbackSpawnPoint = NULL;
+            SpawnPoint* fallbackSpawnPoint = nullptr;
             unsigned int randomspawn = static_cast<unsigned int>(rnd(static_cast<float>(this->spawnpoints_.size())));
             unsigned int index = 0;
@@ -346,5 +346,5 @@
                     fallbackSpawnPoint = (*it);
 
-                if (*it != NULL && (*it)->isActive())
+                if (*it != nullptr && (*it)->isActive())
                     activeSpawnPoints.push_back(*it);
 
@@ -552,5 +552,5 @@
         }
 
-        return NULL;
+        return nullptr;
     }
 
@@ -558,5 +558,5 @@
     {
         // find correct memento state
-        GametypeMementoState* state = NULL;
+        GametypeMementoState* state = nullptr;
         for (size_t i = 0; i < states.size(); ++i)
         {
@@ -570,5 +570,5 @@
 
         // find correct scene
-        Scene* scene = NULL;
+        Scene* scene = nullptr;
         for (ObjectList<Scene>::iterator it = ObjectList<Scene>::begin(); it != ObjectList<Scene>::end(); ++it)
         {
